DomainCombiner (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.security, interface: DomainCombiner
Keywords: java.security.DomainCombiner interface

# Interface DomainCombiner

All Known Implementing Classes:
  `SubjectDomainCombiner`

@Deprecated(since="17", forRemoval=true) public interface DomainCombiner
Deprecated, for removal: This API element is subject to removal in a future version.
This class was only useful in conjunction with the Security Manager, which is no longer supported. There is no replacement for the Security Manager or this class.
`DomainCombiner` was used to dynamically update `ProtectionDomain`s for access control operations and decisions. This feature no longer exists.

Since:
  1.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProtectionDomain[]`
  `combine(ProtectionDomain[] currentDomains, ProtectionDomain[] assignedDomains)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Modify or update the provided ProtectionDomains.

- ## Method Details

  - ### combine

    ProtectionDomain[] combine(ProtectionDomain[] currentDomains, ProtectionDomain[] assignedDomains)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Modify or update the provided ProtectionDomains. ProtectionDomains may be added to or removed from the given ProtectionDomains. The ProtectionDomains may be re-ordered. Individual ProtectionDomains may be modified (with a new set of Permissions, for example).
    Parameters:
      `currentDomains` - the ProtectionDomains associated with the current execution thread. The ProtectionDomains are listed in order of execution, with the most recently executing `ProtectionDomain` residing at the beginning of the array. This parameter may be `null` if the current execution thread has no associated ProtectionDomains.
      `assignedDomains` - an array of inherited ProtectionDomains. This parameter may be `null` if there are no inherited ProtectionDomains.
    Returns:
      a new array consisting of the updated ProtectionDomains, or `null`.